Skip to content

Activates tap-to-pay functionality by device ID

Request

POST {{baseURL}}/pay-api/v1/devices/{{deviceId}}/tap-to-pay/activate

This endpoint activates tap-to-pay functionality by device ID.

See Also:
To retrieve devices, see GET /pay-api/v1/devices.
To create or update a device, see POST /pay-api/v1/devices.
To generate a tap-to-pay token for a device, see POST /pay-api/v1/devices/tap-to-pay/jwt.
To retrieve a device by ID, see GET /pay-api/v1/devices/{deviceId}.

Security
Bearer
Path
deviceIdstring, (uuid)required


Specifies the device identifier.

Example:7aafd09f-b3e6-43fb-b815-5db3bf7f1454
curl -i -X POST \
  https://developer.flute.com/_mock/api-reference/pay-api/v1/devices/7aafd09f-b3e6-43fb-b815-5db3bf7f1454/tap-to-pay/activate \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Response
No content